Subject: bug#42486: 28.0.50; Bug of feature/native-comp branch. Error message native-compile-async: Symbol’s value as variable is void: comp-native-path-postfix

From: Dang Allen <[email-masked]>
Date: Thu, 23 Jul 2020 17:01:15 +0800

I met the same error again with Emacs have native lisp compiler Yes.

Here is my build script and attached is the complete output.

# native-comp optimization
export PATH="/usr/local/opt/gnu-sed/libexec/gnubin:${PATH}"
export CFLAGS="-I/usr/local/Cellar/gcc/10.1.0/include"
export LDFLAGS="-L/usr/local/Cellar/gcc/10.1.0/lib/gcc/10
-I/usr/local/Cellar/gcc/10.1.0/include"
export
LIBRARY_PATH="/usr/local/Cellar/gcc/10.1.0/lib/gcc/10:${LIBRARY_PATH:-}"

cd emacs || exit

git clean -xfd

./autogen.sh

CC='clang' \
     ./configure \
     --disable-silent-rules \
     --with-ns \
     --disable-ns-self-contained \
     --with-cairo \
     --with-modules \
     --with-nativecomp \
     --with-xml2 \
     --with-gnutls \
     --with-json \
     --with-rsvg

# Ensure the directory to which we will dump Emacs exists and has the
correct
# permissions set.
libexec=/usr/local/libexec/emacs
if [ ! -d $libexec ]; then
  sudo mkdir -p $libexec
  chown $USER $libexec
fi

make distclean
make -j 4
make install
rm -rf "/Applications/Emacs.app"
mv nextstep/Emacs.app "/Applications/"
cp -R lisp "/Applications/Emacs.app/Contents/"

Dang Allen <[email-masked]> 于2020年7月23日周四 下午3:59写道：

> My bad, I didn't reference /usr/local/Cellar/gcc/10.1.0/include into
> LDFLAGS, now I can see Does Emacs have native lisp compiler?
>     yes.
> Sorry to waste your time!
> Thanks very much!
>
> Andrea Corallo <[email-masked]> 于2020年7月23日周四 下午3:54写道：
>
>> Could you attach also your config.log?
>>
>> Thanks
>>
>>   Andrea
>>
>> --
>> [email-masked]
>>
>